<form
  #loginFormHTMLElement
  [formGroup]="loginForm"
  novalidate
  (ngSubmit)="onSubmit()"
  [action]="loginFormAction"
  id="kc-form-login"
  name="kc-form-login"
  method="POST">
  <ng-container *transloco="let t">
    <mat-card
      appearance="outlined"
      class="default-card">
      <mat-card-header>
        <mat-card-title>
          <h1>{{t('login.login')}}</h1>
        </mat-card-title>
      </mat-card-header>
      <span class="hint">{{t('login.hint')}}</span>
      <mat-card-content>
        <div class="row">
          <div class="col">
            <mat-form-field class="full-width-form">
              <input
                matInput
                [placeholder]="t('login.email')"
                formControlName="email"
                name="username">
              <mat-error *ngIf="email.hasError('required')">
                {{t('login.email')}}{{t('login.required')}}
              </mat-error>
              <mat-error *ngIf="email.hasError('maxlength')">
                {{t('registration.max_form_length',{maxLength:MAX_FORM_LENGTH})}}
              </mat-error>
              <mat-error *ngIf="email.hasError('email')">{{t('registration.invalid_email')}}</mat-error>
            </mat-form-field>
          </div>
        </div>
        <div class="row">
          <div class="col">
            <mat-form-field class="full-width-form">
              <input
                matInput
                [placeholder]="t('login.password')"
                formControlName="password"
                name="password"
                type="password">
              <mat-error *ngIf="password.hasError('required')">
                {{t('login.password')}}{{t('login.required')}}
              </mat-error>
              <mat-error *ngIf="password.hasError('maxlength')">
                {{t('registration.max_form_length',{maxLength:MAX_PASSWORD_FORM_LENGTH})}}
              </mat-error>
            </mat-form-field>
          </div>
        </div>
      </mat-card-content>
      <mat-card-actions align="end" class="default-card-actions-padding">
        <button
          mat-raised-button
          color="primary"
          [disabled]="!this.loginForm.valid"
          type="submit">
          {{t('login.login')}}
        </button>
      </mat-card-actions>
    </mat-card>
  </ng-container>
</form>
<ng-container *transloco="let t">
  <mat-card
    appearance="outlined"
    *ngIf="showRegistrationLink"
    class="default-card">
    <mat-card-content>
      <div>
        {{t('login.registration_hint')}}
        <a
          *ngIf="showRegistrationLink"
          class="link"
          [href]="registrationLink">
          {{t('login.register_here')}}
        </a>
      </div>
    </mat-card-content>
  </mat-card>
  <mat-card
    appearance="outlined"
    *ngIf="resetPasswordAllowed"
    class="default-card">
    <mat-card-content>
      <div>
        {{t('login.reset_hint')}}
        <a
          *ngIf="showRegistrationLink"
          [href]="resetPasswordLink">
          {{t('login.reset_here')}}
        </a>
      </div>
    </mat-card-content>
  </mat-card>
</ng-container>
